Skip to content

Validate an address

Request

Validates the format of an address for a card order. Make sure to follow country-specific address fields and validation as described in the card address validation guide.

For card creation, the address requirement depends on the card type:

  • Physical Cards (Required): Used as the delivery address to ship the card and for AVS checks in countries where required.

  • Virtual Cards (Optional): If provided, this acts as the billing address. If omitted, the profile address is used as the fallback. In either scenario, the address is used for AVS checks in countries where required.

We do not support PO BOX addresses.

Security
UserToken
Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
Bodyapplication/jsonrequired
firstLinestring

Card holder's address (max 30 characters).

Example:"56 Shoreditch High St"
secondLinestring or null

Card holder's address (max 30 characters).

Example:"The Tea Bldg"
thirdLinestring or null

Card holder's address (max 30 characters).

Example:null
citystring

Card holder's city (max 30 characters).

Example:"London"
postCodestring

Card holder's postal code (max 10 characters).

Example:"E1 6JJ"
statestring or null

Card holder's state (max 30 characters).

Example:null
countrystring

Card holder's country (ISO 3166-1 alpha-2, max 2 characters).

Example:"GB"
property name*anyadditional property
curl -i -X POST \
  https://api.wise.com/2026Q3/spend/address/validate \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479' \
  -d '{
    "firstLine": "56 Shoreditch High St",
    "secondLine": "The Tea Bldg",
    "thirdLine": null,
    "city": "London",
    "postCode": "E1 6JJ",
    "state": null,
    "country": "GB"
  }'

Responses

OK - Validation result returned. An empty errors collection means the address is valid.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
errorsArray of objects

Collection of validation errors. Empty if address is valid.

Response
{ "errors": [ { "field": "city", "message": "Required Field" }, { "field": "postCode", "message": "Please enter a valid postcode" }, { "field": "firstLine", "message": "Must be less than 30 characters" } ] }